using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FourthLevelTrigger : MonoBehaviour
{
    public Transform m_targetTrans;
    private Vector3 m_pos = new Vector3(0.21f,1.0f, -0.98f);
    private Quaternion m_rotation = Quaternion.Euler(-14.7f, -146, -12.6f);

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Target"))
        {
            BattleCtrl.instance.levelManager.curLevel.chainRopeView.CatchObjEnterTarget();
            BattleCtrl.instance.OnBattleWin();
            m_targetTrans.localPosition = m_pos;
            m_targetTrans.localRotation = m_rotation;
        }
    }
}
